{
  "compilerOptions": {
    "target": "esnext",
    "rootDirs": [
      "src",
      "stories"
    ],
    "lib": [
      "dom",
      "dom.iterable",
      "esnext"
    ],
    "allowJs": true,
    // rollup build:lib plugin require
    "noEmitHelpers": false,
    "importHelpers": true,
    "noResolve": false,
    "noEmit": false,
    "inlineSourceMap": false,
    // 
    "declaration": true,
    // "declarationDir": "./declare",
    "skipLibCheck": true,
    "esModuleInterop": true,
    "removeComments": true,
    "allowSyntheticDefaultImports": true,
    "strict": true,
    "forceConsistentCasingInFileNames": true,
    "moduleResolution": "node",
    "module": "esnext",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "traceResolution": true,
    "jsx": "react",
    "baseUrl": ".",
    "paths": {
      "@/*": ["src/*"],
      "@components/*": [ "src/components/*" ]
    }
  },
  "include": [
    "src/**/*",
    "stories/**/*"
  ],
  "exclude": [
    "node_modules"
  ]
}
